<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::simd4i Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1simd4i.html">simd4i</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1simd4i-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::simd4i Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1simd4i_1_1rawarray.html">rawarray</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ad6db64d1f1bbd6a3350bd5960e52433b"><td class="memItemLeft" align="right" valign="top"><a id="ad6db64d1f1bbd6a3350bd5960e52433b"></a>
typedef int32&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ad6db64d1f1bbd6a3350bd5960e52433b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4e0685e3714ab940512c8e11bc5d10bd"><td class="memItemLeft" align="right" valign="top"><a id="a4e0685e3714ab940512c8e11bc5d10bd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>simd4i</b> (int32 f)</td></tr>
<tr class="separator:a4e0685e3714ab940512c8e11bc5d10bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a4416e0416d01171b5e6d559ee75a85"><td class="memItemLeft" align="right" valign="top"><a id="a2a4416e0416d01171b5e6d559ee75a85"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>simd4i</b> (int32 r0, int32 r1, int32 r2, int32 r3)</td></tr>
<tr class="separator:a2a4416e0416d01171b5e6d559ee75a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a1aeca75e3fe0d7b8c75a61573ebe41"><td class="memItemLeft" align="right" valign="top"><a id="a5a1aeca75e3fe0d7b8c75a61573ebe41"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>simd4i</b> (const <a class="el" href="structdlib_1_1simd4i_1_1rawarray.html">rawarray</a> &amp;a)</td></tr>
<tr class="separator:a5a1aeca75e3fe0d7b8c75a61573ebe41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a17a1a669f227895f5c644e7f8861af"><td class="memItemLeft" align="right" valign="top"><a id="a1a17a1a669f227895f5c644e7f8861af"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>load_aligned</b> (const type *ptr)</td></tr>
<tr class="separator:a1a17a1a669f227895f5c644e7f8861af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c0e5eca52966bf2f93b750a29c4c5c"><td class="memItemLeft" align="right" valign="top"><a id="a93c0e5eca52966bf2f93b750a29c4c5c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>store_aligned</b> (type *ptr) const</td></tr>
<tr class="separator:a93c0e5eca52966bf2f93b750a29c4c5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2124fbf381d2c2706e4a59bdd396c63"><td class="memItemLeft" align="right" valign="top"><a id="ab2124fbf381d2c2706e4a59bdd396c63"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>load</b> (const type *ptr)</td></tr>
<tr class="separator:ab2124fbf381d2c2706e4a59bdd396c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f81f761825681dbe2c0aecb01acb97"><td class="memItemLeft" align="right" valign="top"><a id="a22f81f761825681dbe2c0aecb01acb97"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>store</b> (type *ptr) const</td></tr>
<tr class="separator:a22f81f761825681dbe2c0aecb01acb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93aa42488b3f4a3138e9c338fb2dd48e"><td class="memItemLeft" align="right" valign="top"><a id="a93aa42488b3f4a3138e9c338fb2dd48e"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a93aa42488b3f4a3138e9c338fb2dd48e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abddf1330038b75e874d8a94183ae5256"><td class="memItemLeft" align="right" valign="top"><a id="abddf1330038b75e874d8a94183ae5256"></a>
int32&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (unsigned int idx) const</td></tr>
<tr class="separator:abddf1330038b75e874d8a94183ae5256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac075e4f8f952741e80271ff4433b0523"><td class="memItemLeft" align="right" valign="top"><a id="ac075e4f8f952741e80271ff4433b0523"></a>
int32&#160;</td><td class="memItemRight" valign="bottom"><b>x</b> [4]</td></tr>
<tr class="separator:ac075e4f8f952741e80271ff4433b0523"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="simd4i_8h_source.html">simd4i.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
